DPS = {}

-- requires => all modules that are required by this module. contains => all submodules this module contains.
-- This difference is made, to prevent the import of submodules without its parent
DPS.requires = {"util"} -- attack mission as dynamic dependency
DPS.contains = {"DPS.DATA", "DPS.watcher", "DPS.names"}



function DPS.show_stats()
    DPS.watcher.show_stats()
end


function DPS.init()
    util.missionCommands.add("/", "DPS", DPS.show_stats)
    world.addEventHandler(DPS.watcher.eventHandler)
end


function DPS.cleanup()
    util.missionCommands.remove("/", "DPS")
    world.removeEventHandler(DPS.watcher.eventHandler)
end